<?php
class cGestionstock{
	
	
	function filtrar($nom1,$nom2,$nom3,$nom4,$limit,$mar_nom,$des,$cat_id){
		$sql="select * from tb_producto pro 
			inner join tb_catalogo ct on ct.tb_producto_id = pro.tb_producto_id
			inner join tb_categoria cat on cat.tb_categoria_id = pro.tb_categoria_id
			inner join tb_presentacion pre on pre.tb_presentacion_id = pro.tb_presentacion_id
			inner join tb_empaque em on em.tb_empaque_id = pro.tb_empaque_id
			left join tb_productomarca pmar on pmar.tb_catalogo_id = ct.tb_catalogo_id
			inner join tb_marca m on m.tb_marca_id = pmar.tb_marca_id
			where pro.tb_producto_xac = 1";
	
	$sql.=" AND pro.tb_producto_nom LIKE '%$nom1%' AND pro.tb_producto_nom LIKE '%$nom2%' AND pro.tb_producto_nom LIKE '%$nom3%' AND pro.tb_producto_nom LIKE '%$nom4%' ";
	
		if($des!="")$sql.=" AND pro.tb_producto_des like '%$des%' ";
		if($cataid>0)$sql.=" AND ct.tb_catalogo_id = '$cataid' ";
		if($cat_id>0)$sql.=" AND pro.tb_categoria_id = '$cat_id' ";
		if($mar_nom!='')$sql.=" AND m.tb_marca_nom like '%$mar_nom%' "; 
		
		$sql.=" order by pro.tb_producto_nom desc ";
		
		
		if($limit!="")$sql.=" LIMIT 0,$limit ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
		
	function filtrar_cantidadvendida($cat_id,$mar_id){
		$sql="select sum(vd.tb_ventadetalle_can) as 'cantidadvendida' from tb_ventadetalle vd
        inner join tb_venta v on v.tb_venta_id = vd.tb_venta_id
        where v.tb_venta_est = '1' and v.tb_venta_xac = '1' ";
	

		if($cat_id>0)$sql.=" AND vd.tb_catalogo_id = '$cat_id' ";
		if($mar_id>0)$sql.=" AND vd.tb_marca_id = '$mar_id' "; 
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
}
?>